[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ExtractRemoteMethodsMixin

# Class: ExtractRemoteMethodsMixin

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:57](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L57)

## Extended by

- [`OptionsFromRemoteMethodDirective`](OptionsFromRemoteMethodDirective.md)

## Constructors

### new ExtractRemoteMethodsMixin()

> **new ExtractRemoteMethodsMixin**(): [`ExtractRemoteMethodsMixin`](ExtractRemoteMethodsMixin.md)

#### Returns

[`ExtractRemoteMethodsMixin`](ExtractRemoteMethodsMixin.md)

## Methods

### extractRemoteMethods()

> `protected` **extractRemoteMethods**(`formDefinition`, `controlId`): `Map`\<`string`, `Constructor`\<`IdOrInstanceOrToken`\<`BaseRemoteMethod`\<`any`, `any`, `BaseRemoteMethodMetadata`\>\>\>\>

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:59](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L59)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, `Constructor`\<`IdOrInstanceOrToken`\<`BaseRemoteMethod`\<`any`, `any`, `BaseRemoteMethodMetadata`\>\>\>\>
